# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Classes

* [`rlimits`](#rlimits): Control resource limits environment

### Resource types

* [`rlimit`](#rlimit): Manage resource limit record

## Classes

### `rlimits`

Control resource limits environment

#### Examples

##### 

```puppet
include rlimits
```

#### Parameters

The following parameters are available in the `rlimits` class.

##### `manage_folder`

Data type: `Boolean`

Whether to control or not folder /etc/security/limits.d

Default value: ``true``

##### `purge_folder`

Data type: `Boolean`

Set flag purge on /etc/security/limits.d file resource to cleanup
unmanaged files

Default value: ``false``

##### `vendor_settings`

Data type: `Boolean`

Setup or not vendors default preset of ulimits (valid for CentOS)

Default value: ``true``

## Resource types

### `rlimit`

Manage resource limit record

#### Properties

The following properties are available in the `rlimit` type.

##### `ensure`

Valid values: `present`, `absent`

The basic property that the resource should be in.

Default value: `present`

#### Parameters

The following parameters are available in the `rlimit` type.

##### `domain`

namevar

According to man 5 limits.conf next values are possible:
- username
- @groupname
- *
- %             (maxlogins only) -> maxsyslogins
- %group        (maxlogins only)
- <min_uid>:<max_uid>
- <min_uid>:
- :<max_uid>
- @<min_gid>:<max_gid>
- @<min_gid>:
- @:<max_gid>
- %:gid

##### `item`

Valid values: `core`, `data`, `fsize`, `memlock`, `nofile`, `rss`, `stack`, `cpu`, `nproc`, `as`, `maxlogins`, `maxsyslogins`, `priority`, `locks`, `sigpending`, `msgqueue`, `nice`, `rtprio`

namevar

item name (see man 5 limits.conf)

##### `name`

The resource limit name

##### `provider`

The specific backend to use for this `rlimit` resource. You will seldom need to specify this --- Puppet will usually
discover the appropriate provider for your platform.

##### `type`

Valid values: `soft`, `hard`, `any`

namevar

resource limits type (see man 5 limits.conf)

Default value: `any`

##### `value`

Valid values: `unlimited`, `%r{^-?\d+$}`, `infinity`

Aliases: `"infinity"=>"unlimited"`

The resource value

Default value: `unlimited`

